%global srcname     astroid

Version:        3.0.3

Name:           python-astroid
Release:    1%{?dist}
Summary:        Common base representation of python source code for pylint and other projects
License:        LGPL-2.1-or-later
URL:            https://pypi.org/project/astroid/
Source0:        https://github.com/pylint-dev/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
The aim of this module is to provide a common base representation of python
source code for projects such as pychecker, pyreverse, pylint...
It provides a compatible representation which comes from the _ast module. It
rebuilds the tree generated by the builtin _ast module by recursively walking
down the AST and building an extended ast. The new node classes have additional
methods and attributes for different usages. They include some support for
static inference and local name scopes. Furthermore, astroid builds partial
trees by inspecting living objects.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
rm -rf %{buildroot}%{python3_sitelib}/tests


%check
%{python3} -m pytest -v --ignore=tests/brain/test_dataclasses.py


%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/astroid
%{python3_sitelib}/astroid*.dist-info/

%changelog
* Thu Aug 22 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.3-1
- initial build
